/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.lea-search-replace-button-tooltip {
  & .ant-tooltip-inner {
    font-size: 0.875rem;
    font-weight: 400;
  }
}

.lea .search-replace-button {
  &.ant-btn {
    width: 2rem;
    height: 2rem;
    padding: 0;

    & .lea-svg-icon {
      width: 24px;
      height: 24px;
      margin: auto auto;
      display: flex;
      justify-items: center;
      align-items: center;

      & > svg {
        width: 100%;
        height: 100%;
      }
    }
  }
}

.search-replace {
  &.options-collapse {
    .search-for-panel-header {
      display: flex;
      font-size: 1.4rem;

      h4 {
        font-weight: 500;
      }
    }
    .search-replace-item {
      padding-left: 3px !important;
      .ant-collapse-expand-icon {
        padding-inline-end: 0 !important;
      }
      h4 {
        font-weight: 500;
      }
    }
    .search-for-options {
      width: 100%;
      margin-bottom: 10px;
      .ant-select-selector {
        height: 32px !important;
        align-items: center;
        padding: 0.3rem 1.1rem;
      }
      .ant-select-arrow {
        font-size: 1.2rem;
        top: 45%;
        align-items: normal;
      }
    }
    .hidden-info-content {
      font-size: 1.4rem;
      margin-right: 20px;
      margin-left: 5px;

      h3 {
        font-size: 1.4rem !important;
      }
    }
  }
}
.search-box {
  padding: 10px 16px 10px 25px;
  .header {
    display: flex;
    justify-content: space-between;
    font-size: 1.4rem;

    h4 {
      font-weight: 500;
    }
    span {
      font-weight: 400;
    }
  }
  .ant-input {
    font-size: 1.4rem;
    height: 32px;
  }
}
.replace-box {
  .ant-collapse-header {
    padding-left: 2px !important;
    .ant-collapse-expand-icon {
      padding-right: 0 !important;
    }
  }
}

.action-buttons {
  margin: 10px 0 15px 0;

  > button {
    margin: 0 5px 0 0;
  }
}

.heading {
  margin: 0 0 7px 0;
  font-size: 1.6rem;
}

.subheading {
  margin: 15px 0 7px 0;
}

.bold {
  font-weight: bold;
}

.search-for-select-item {
  font-size: 1.4rem !important;
}
